Skip to content

Perform various search operations on wire beneficiary records.

Operations

searchWireBeneficiaryAdvPagedSelectFields

POST

Searches for wire beneficiary advanced paged information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireBeneficiaryAdvPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryAdvPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireBeneficiaryAdvFields": true,
    "WireBeneficiaryAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireBeneficiaryFiAdvPagedSelectFields

POST

Searches for wire beneficiary financial institution advanced paged information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireBeneficiaryFiAdvPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryFiAdvPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireBeneficiaryFiAdvFields": true,
    "WireBeneficiaryFiAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireBeneficiaryFiInfoPagedSelectFields

POST

Searches for wire beneficiary financial institution information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireBeneficiaryFiInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireBeneficiaryFiInfoFields": true,
    "WireBeneficiaryFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireBeneficiaryInfoPagedSelectFields

POST

Searches for wire beneficiary information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireBeneficiaryInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireBeneficiaryInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireBeneficiaryInfoFields": true,
    "WireBeneficiaryInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}